# Uses of Interface
javax.validation.ConstraintValidatorFactory

Packages that use ConstraintValidatorFactory
Package
Description
javax.validation
javax.validation.spi

## Uses of ConstraintValidatorFactory in javax.validation

Methods in javax.validation that return ConstraintValidatorFactory
Modifier and Type
Method
Description
`ConstraintValidatorFactory`
ValidatorFactory.`getConstraintValidatorFactory()`
`ConstraintValidatorFactory`
Configuration.`getDefaultConstraintValidatorFactory()`
Methods in javax.validation with parameters of type ConstraintValidatorFactory
Modifier and Type
Method
Description
`T`
Configuration.`constraintValidatorFactory(ConstraintValidatorFactory constraintValidatorFactory)`
`ValidatorContext`
ValidatorContext.`constraintValidatorFactory(ConstraintValidatorFactory factory)`

## Uses of ConstraintValidatorFactory in javax.validation.spi

Methods in javax.validation.spi that return ConstraintValidatorFactory
Modifier and Type
Method
Description
`ConstraintValidatorFactory`
ConfigurationState.`getConstraintValidatorFactory()`